package com.bonus.canteen.core.menu.dto;

import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

@ApiModel
public class AndroidMaterialPageDTO extends PageDTO {
   @ApiModelProperty("名称或条码")
   private String NameOrBarCode;
   @ApiModelProperty("原料/商品类型(1原料2商品)")
   private @NotNull(
   message = "原料/商品类型不能为空!"
) Integer materialType;

   public String getNameOrBarCode() {
      return this.NameOrBarCode;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public void setNameOrBarCode(final String NameOrBarCode) {
      this.NameOrBarCode = NameOrBarCode;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }

}
